package com.kym.service.wechat;

import java.time.format.DateTimeFormatter;
import java.util.Map;

/**
 * 公众号模板消息参数构建
 */
public interface TemplateParamBuilder {
    DateTimeFormatter formatter = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss");
    default String formatAmount(int amount) {
        return (amount / 100.00) + "元";
    }
    Map<String, String> buildParams(Object... args);
}
